<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.90.901247
Name: Opgenomen
Description: Template voor opgenomen patiënt
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.90.901247-2020-03-14T105331">
   <title>Opgenomen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.901247
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247']]]
Item: (KSNeoOpgenomen)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247']]]"
         id="d41e14598-false-d129572e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/perinatologie/peri20-html-20200429T174815/tmp-2.16.840.1.113883.2.4.6.10.90.901247-2020-03-14T105331.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247']]) &gt;= 1">(KSNeoOpgenomen): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247']] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/perinatologie/peri20-html-20200429T174815/tmp-2.16.840.1.113883.2.4.6.10.90.901247-2020-03-14T105331.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247']]) &lt;= 1">(KSNeoOpgenomen): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.901247
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247']]
Item: (KSNeoOpgenomen)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247']]"
         id="d41e14618-false-d129589e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/perinatologie/peri20-html-20200429T174815/tmp-2.16.840.1.113883.2.4.6.10.90.901247-2020-03-14T105331.html"
              test="string(@classCode) = ('OBS')">(KSNeoOpgenomen): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/perinatologie/peri20-html-20200429T174815/tmp-2.16.840.1.113883.2.4.6.10.90.901247-2020-03-14T105331.html"
              test="string(@moodCode) = ('EVN')">(KSNeoOpgenomen): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/perinatologie/peri20-html-20200429T174815/tmp-2.16.840.1.113883.2.4.6.10.90.901247-2020-03-14T105331.html"
              test="not(@negationInd) or (string-length(@negationInd) &gt; 0 and not(matches(@negationInd,'\s')))">(KSNeoOpgenomen): attribuut @negationInd MOET datatype 'cs' hebben  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/perinatologie/peri20-html-20200429T174815/tmp-2.16.840.1.113883.2.4.6.10.90.901247-2020-03-14T105331.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor) &gt; 0 and not(matches(@nullFlavor,'\s')))">(KSNeoOpgenomen): attribuut @nullFlavor MOET datatype 'cs' hebben  - '<value-of select="@nullFlavor"/>'</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/perinatologie/peri20-html-20200429T174815/tmp-2.16.840.1.113883.2.4.6.10.90.901247-2020-03-14T105331.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247']) &gt;= 1">(KSNeoOpgenomen): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/perinatologie/peri20-html-20200429T174815/tmp-2.16.840.1.113883.2.4.6.10.90.901247-2020-03-14T105331.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247']) &lt;= 1">(KSNeoOpgenomen): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/perinatologie/peri20-html-20200429T174815/tmp-2.16.840.1.113883.2.4.6.10.90.901247-2020-03-14T105331.html"
              test="count(hl7:code[(@code = '266938001' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(KSNeoOpgenomen): element hl7:code[(@code = '266938001' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/perinatologie/peri20-html-20200429T174815/tmp-2.16.840.1.113883.2.4.6.10.90.901247-2020-03-14T105331.html"
              test="count(hl7:code[(@code = '266938001' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(KSNeoOpgenomen): element hl7:code[(@code = '266938001' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.901247
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247']
Item: (KSNeoOpgenomen)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247']"
         id="d41e14636-false-d129630e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/perinatologie/peri20-html-20200429T174815/tmp-2.16.840.1.113883.2.4.6.10.90.901247-2020-03-14T105331.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KSNeoOpgenomen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/perinatologie/peri20-html-20200429T174815/tmp-2.16.840.1.113883.2.4.6.10.90.901247-2020-03-14T105331.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.90.901247')">(KSNeoOpgenomen): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.90.901247' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.901247
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247']]/hl7:code[(@code = '266938001' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (KSNeoOpgenomen)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.90.901247']]/hl7:code[(@code = '266938001' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d41e14642-false-d129645e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/perinatologie/peri20-html-20200429T174815/tmp-2.16.840.1.113883.2.4.6.10.90.901247-2020-03-14T105331.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KSNeoOpgenomen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/perinatologie/peri20-html-20200429T174815/tmp-2.16.840.1.113883.2.4.6.10.90.901247-2020-03-14T105331.html"
              test="@nullFlavor or (@code='266938001' and @codeSystem='2.16.840.1.113883.6.96')">(KSNeoOpgenomen): de elementwaarde MOET een zijn van 'code '266938001' codeSystem '2.16.840.1.113883.6.96''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/perinatologie/peri20-html-20200429T174815/tmp-2.16.840.1.113883.2.4.6.10.90.901247-2020-03-14T105331.html"
              test="@displayName">(KSNeoOpgenomen): attribute @displayName MOET aanwezig zijn.</assert>
   </rule>
</pattern>
